
%global meadversion 4.6.5
%global namedversion 4.6.5.Final-redhat-00003
%global meadalpha .Final_redhat_00003
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00003

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package protostream}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.6.5.Final-redhat-00003

Name:           %{?scl_prefix}protostream
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        ProtoStream is a serialization library based on Protocol buffers format for serializing structured data
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: protostream-aggregator-4.6.5.Final-redhat-00003-project-sources.tar.gz
Source102: protostream-4.6.5.Final-redhat-00003-javadoc.jar
Source103: protostream-4.6.5.Final-redhat-00003-tests.jar
Source104: protostream-processor-4.6.5.Final-redhat-00003.pom
Source105: protostream-processor-4.6.5.Final-redhat-00003.jar
Source106: protostream-4.6.5.Final-redhat-00003-test-sources.jar
Source107: protostream-aggregator-4.6.5.Final-redhat-00003.pom
Source108: protostream-types-4.6.5.Final-redhat-00003-javadoc.jar
Source109: protostream-integrationtests-4.6.5.Final-redhat-00003.jar
Source110: protostream-4.6.5.Final-redhat-00003.jar
Source111: protostream-processor-4.6.5.Final-redhat-00003-sources.jar
Source112: protostream-4.6.5.Final-redhat-00003-sources.jar
Source113: protostream-processor-4.6.5.Final-redhat-00003-javadoc.jar
Source114: protostream-processor-4.6.5.Final-redhat-00003-test-sources.jar
Source115: protostream-types-4.6.5.Final-redhat-00003-sources.jar
Source116: protostream-processor-4.6.5.Final-redhat-00003-tests.jar
Source117: protostream-integrationtests-4.6.5.Final-redhat-00003-sources.jar
Source118: protostream-4.6.5.Final-redhat-00003.pom
Source119: protostream-types-4.6.5.Final-redhat-00003.pom
Source120: protostream-integrationtests-4.6.5.Final-redhat-00003.pom
Source121: protostream-integrationtests-4.6.5.Final-redhat-00003-test-sources.jar
Source122: parent-4.6.5.Final-redhat-00003.pom
Source123: protostream-types-4.6.5.Final-redhat-00003.jar
Source124: protostream-integrationtests-4.6.5.Final-redhat-00003-javadoc.jar
%endif

URL:            https://github.com/infinispan/protostream
BuildRoot:      %{_tmppath}/protostream-%{version}-%{release}-root
BuildArch:      noarch

%description
ProtoStream is a serialization library based on Protocol buffers format for serializing structured data.

%if %with javadoc
%package javadoc
Group:          Documentation

Summary:        Javadoc for protostream
BuildRequires:  unzip

%description javadoc
API documentation for protostream.
%endif

%prep
%setup -q -n protostream-aggregator-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -p -m 0644 %{_sourcedir}/protostream-%{namedversion}.jar %{buildroot}%{_javadir}/protostream-%{namedversion}.jar
install -p -m 0644 %{_sourcedir}/protostream-%{namedversion}-sources.jar %{buildroot}%{_javadir}/protostream-%{namedversion}-sources.jar
install -p -m 0644 %{_sourcedir}/protostream-types-%{namedversion}.jar %{buildroot}%{_javadir}/protostream-types-%{namedversion}.jar
install -p -m 0644 %{_sourcedir}/protostream-types-%{namedversion}-sources.jar %{buildroot}%{_javadir}/protostream-types-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

%clean
rm -rf %{buildroot}

%files -n %{?scl_prefix}protostream
%defattr(0644,root,root,0755)
%doc LICENSE.md README.md PROTOBUF_LICENSE.txt PROTOPARSER_LICENSE.txt
%{_javadir}/protostream-%{namedversion}.jar
%{_javadir}/protostream.jar
%{_javadir}/protostream-%{namedversion}-sources.jar
%{_javadir}/protostream-sources.jar
%{_javadir}/protostream-types-%{namedversion}.jar
%{_javadir}/protostream-types.jar
%{_javadir}/protostream-types-%{namedversion}-sources.jar
%{_javadir}/protostream-types-sources.jar

%changelog
* Tue Oct 31 2023 cpaas-ops <cpaas-ops@redhat.com> - 4.6.5-1.Final_redhat_00003.1
- Built by CPaaS

* Tue Apr 18 2023 cpaas-ops <cpaas-ops@redhat.com> - 4.6.2-1.Final_redhat_00001.1
- Built by CPaaS

* Mon Jan 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 4.5.0-1.Final_redhat_00002.1
- Built by CPaaS

* Wed Jun 15 2022 Permaine Cheung <pcheung@redhat.com> - 4.4.3-2.Final_redhat_00001.1
- Add types jar

* Thu May 26 2022 Permaine Cheung <pcheung@redhat.com> - 4.4.3-1.Final_redhat_00001.1
- 4.4.3.Final-redhat-00001

